singularity(1)

NAME

singularity-sign - Add digital signature(s) to an image

SYNOPSIS

singularity sign [sign options...]

DESCRIPTION

The sign command allows a user to add one or more digital signatures to a SIF
  image. By default, one digital signature is added for each object group in
  the file.

Key material can be provided via PEM-encoded file, or an entity in the PGP
  keyring. To manage the PGP keyring, see 'singularity help key'.

OPTIONS

-g, --group-id=0
    sign objects with the specified group ID

-h, --help[=false]
    help for sign

--key=""
    path to the private key file

-k, --keyidx=0
    PGP private key to use (index from 'key list --secret')

-i, --sif-id=0
    sign object with the specified ID

EXAMPLE

      Sign with a private key:
      $ singularity sign --key private.pem container.sif

      Sign with PGP:
      $ singularity sign container.sif

SEE ALSO

singularity(1)

HISTORY

21-Jul-2025 Auto generated by spf13/cobra